## spykeviewer 0.4.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/spykeutils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/spykeutils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/spykeutils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/spykeutils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/source/requirements.txt ===
mock
quantities

## spykeviewer 0.3.0

=== debian/changelog ===
spykeviewer (0.3.0-1) unstable; urgency=low

  * Package upstream 0.3.0.

 -- Robert Pröpper <robert.proepper@gmail.com>  Wed, 24 Apr 2013 18:25:26 +0100

spykeviewer (0.2.1-1) experimental; urgency=low

  * Package upstream 0.2.1.

 -- Robert Pröpper <robert.proepper@gmail.com>  Fri, 25 Jan 2013 16:32:19 +0100

spykeviewer (0.2.0-2) experimental; urgency=low

  * Icons in debian/copyright. (Closes: #687703).

 -- Robert Pröpper <robert.proepper@gmail.com>  Wed, 16 Jan 2013 11:57:15 +0100

spykeviewer (0.2.0-1) experimental; urgency=low

  * Initial public release.

 -- Robert Pröpper <robert.proepper@gmail.com>  Tue, 08 Jan 2013 18:47:09 +0100

=== debian/control ===
Source: spykeviewer
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Robert Pröpper <robert.proepper@gmail.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper (>= 7.2.18),
               python-all (>= 2.7),
               python-neo (>= 0.2.1),
               python-matplotlib,
               python-setuptools,
               python-nose,
               python-scipy,
               python-sphinx,
               python-mock,
               python-guidata,
               python-guiqwt,
               python-tables,
               python-spykeutils (>= 0.3.0),
               imagemagick,
               xvfb,
               xauth,
Standards-Version: 3.9.3.1
Homepage: http://www.ni.tu-berlin.de/software/spykeviewer
Vcs-Browser: https://github.com/rproepp/spykeviewer
Vcs-Git: git://github.com/rproepp/spykeviewer.git
X-Python-Version: >= 2.7

Package: spykeviewer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-neo (>= 0.2.1),
         python-nose,
         python-scipy,
         python-sphinx,
         python-guidata,
         python-guiqwt (>=2.1.4),
         python-tables,
         python-spykeutils (>= 0.3.0),
         python-matplotlib,
Recommends:
         libjs-jquery,
         libjs-underscore,
         ipython-qtconsole (>= 0.12),
Provides: ${python:Provides}
Description: graphical utility for analyzing electrophysiological data
 Spyke Viewer is a multi-platform GUI application for navigating, analyzing
 and visualizing electrophysiological datasets. Based on the Neo framework,
 it works with a wide variety of data formats. Spyke Viewer includes an
 integrated Python console and a plugin system for custom analyses and plots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Prevent setup.py from downloading
export http_proxy = http://127.0.9.1:9

# one rule to rule them all ...
%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_build:
	dh_auto_build
	# and docs
	$(MAKE) -C doc html
	# but remove jquery copy (later on link to Debian's version)
	-rm doc/build/html/_static/jquery.js
	-rm doc/build/html/_static/underscore.js
	# objects inventory is of no use for the package
	-rm doc/build/html/objects.inv
	: # also doc source files only consume space
	-rm -r doc/build/html/_sources

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

# enable when we believe that the tests should pass
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for buildver in $(shell pyversions -vr); do \
		echo "I: Running spykeviewer unittests using python$$buildver"; \
		xvfb-run -s "-screen 0 1280x1024x24 -noreset" \
		python$$buildver /usr/bin/nosetests spykeviewer || exit 1 ;\
	done
endif

override_dh_install:
	cp resources/icons/appicon.png resources/icons/spykeviewer.png
	dh_install
	mogrify -resize 32x32 debian/spykeviewer/usr/share/pixmaps/spykeviewer.png

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf doc/build build
	-rm -rf spykeviewer.egg-info

## spykeviewer 0.4.0

=== debian/changelog ===
spykeviewer (0.4.0-1) unstable; urgency=low

  * Package upstream 0.4.0.

 -- Robert Pröpper <robert.proepper@gmail.com>  Thu, 15 Aug 2013 19:29:16 +0100

spykeviewer (0.3.0-2) unstable; urgency=low

  * Fixed error during testing caused by matplotlib

 -- Robert Pröpper <robert.proepper@gmail.com>  Tue, 30 Jul 2013 12:06:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,11 @@
                python-guidata,
                python-guiqwt,
                python-tables,
-               python-spykeutils (>= 0.3.0),
+               python-spykeutils (>= 0.4.0),
                imagemagick,
                xvfb,
                xauth,
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.4
 Homepage: http://www.ni.tu-berlin.de/software/spykeviewer
 Vcs-Browser: https://github.com/rproepp/spykeviewer
 Vcs-Git: git://github.com/rproepp/spykeviewer.git
@@ -37,7 +37,7 @@
          python-guidata,
          python-guiqwt (>=2.1.4),
          python-tables,
-         python-spykeutils (>= 0.3.0),
+         python-spykeutils (>= 0.4.0),
          python-matplotlib,
 Recommends:
          libjs-jquery,

## spykeviewer 0.4.1

=== debian/changelog ===
spykeviewer (0.4.1-1) unstable; urgency=low

  * Package upstream 0.4.1.

 -- Robert Pröpper <robert.proepper@gmail.com>  Mon, 06 Jan 2014 14:33:32 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                imagemagick,
                xvfb,
                xauth,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.ni.tu-berlin.de/software/spykeviewer
 Vcs-Browser: https://github.com/rproepp/spykeviewer
 Vcs-Git: git://github.com/rproepp/spykeviewer.git

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for buildver in $(shell pyversions -vr); do \
 		echo "I: Running spykeviewer unittests using python$$buildver"; \
+		export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 		xvfb-run -s "-screen 0 1280x1024x24 -noreset" \
 		python$$buildver /usr/bin/nosetests spykeviewer || exit 1 ;\
 	done

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/spykeviewer-$1/" \
  http://github.com/rproepp/spykeviewer/tags .*archive/(\d[\d\.a-z]+)\.tar\.gz

## spykeviewer 0.4.2

=== debian/changelog ===
spykeviewer (0.4.2-1~nd13.04+1) raring; urgency=low

  * Backported for raring.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 04 Sep 2014 10:59:23 -0400

spykeviewer (0.4.2-1) unstable; urgency=low

  * Package upstream 0.4.2.

 -- Robert Pröpper <robert.proepper@gmail.com>  Mon, 01 Sep 2014 18:40:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: spykeviewer
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Robert Pröpper <robert.proepper@gmail.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Yaroslav Halchenko <debian@onerussian.com>,
@@ -29,7 +30,7 @@
 
 Package: spykeviewer
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-neo (>= 0.2.1),
          python-nose,
          python-scipy,

## spykeviewer 0.4.4

=== debian/changelog ===
spykeviewer (0.4.4-1) unstable; urgency=low

  * Package upstream 0.4.4 (Closes: #808685).
  * Restrict neo<<0.4 because of breaking changes.
  * Remove timestamp from icon for reproducible build (Closes: #778643).

 -- Robert Pröpper <robert.proepper@gmail.com>  Fri, 22 Jan 2016 18:32:23 +0100

spykeviewer (0.4.3-1) unreleased; urgency=low

  * Package upstream 0.4.3.

 -- Robert Pröpper <robert.proepper@gmail.com>  Wed, 06 Jan 2016 13:34:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: spykeviewer
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Robert Pröpper <robert.proepper@gmail.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Yaroslav Halchenko <debian@onerussian.com>,
 Build-Depends: debhelper (>= 7.2.18),
                python-all (>= 2.7),
                python-neo (>= 0.2.1),
+               python-neo (<< 0.4),
                python-matplotlib,
                python-setuptools,
                python-nose,
@@ -17,6 +17,7 @@
                python-mock,
                python-guidata,
                python-guiqwt,
+               python-spyderlib,
                python-tables,
                python-spykeutils (>= 0.4.0),
                imagemagick,
@@ -30,7 +31,7 @@
 
 Package: spykeviewer
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
          python-neo (>= 0.2.1),
          python-nose,
          python-scipy,

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 override_dh_install:
 	cp resources/icons/appicon.png resources/icons/spykeviewer.png
 	dh_install
-	mogrify -resize 32x32 debian/spykeviewer/usr/share/pixmaps/spykeviewer.png
+	mogrify -resize 32x32 +set date:create +set date:modify -define png:exclude-chunk=time debian/spykeviewer/usr/share/pixmaps/spykeviewer.png
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)
